Subject: Re: Question about Subnet-Router anycast address

From: François-Xavier Le Bail <[email-masked]>
Date: Mon, 3 Oct 2011 07:08:57 -0700 (PDT)

--- On Mon, 10/3/11, Thomas Narten <[email-masked]> wrote:
> <[email-masked]> writes:
> 
> > If the source address of reply differs from destination address of
> > the request, some applications are broken. 
> 
> If you are saying that applications should ignore the src
> address (in case it is anycast) when accpting replies, I very
> strongly disagree.

I don't say that.

> The norm is (and has been forever) to require that the
> source address in a response (whether TCP or UDP) match the destination
> address in the original query. And for good reason.

But the RFC 3484, as I understand it, exclude anycast address from the 
source replies.

Section 4 of RFC 3484 states:
    (http://tools.ietf.org/html/rfc3484#section-4)
    4. Candidate Source Addresses
    [. . .]
       In any case, anycast addresses, multicast addresses, and the
       unspecified address MUST NOT be included in a candidate set.

It might be useful to reassess this restriction, at least for the replies.

Thanks,
François-Xavier

---

From: Arifumi Matsumoto <[email-masked]>
Date: Tue, 11 Oct 2011 12:02:52 +0900

Hi,

> It might be useful to reassess this restriction, at least for the replies.

As in RFC 3484 section 2, these algorithms in RFC 3484 does
not specify the rules for your case. It specifies the rules
that are used when an application initiates a session and
a destination address and a source address have to be chosen.
It does not specify rules for selecting address for a returning
packet.

So, in my understanding, the only restriction for using an
anycast source address was in RFC 3513. But, now that such a
restriction was removed, RFC 3484 should also be updated to
allow to select an anycast source address for a initiating
session.

--
Arifumi Matsumoto
  NGN System Architecture Project
  NTT Service Integration Laboratories
  E-mail: [email-masked]
  TEL +81-422-59-3334 FAX +81-422-59-6364

---

From: François-Xavier Le Bail <[email-masked]>
Date: Mon, 17 Oct 2011 04:36:59 -0700 (PDT)

Hi,

----- Original Message -----
> From: Arifumi Matsumoto <[email-masked]>
> To: François-Xavier Le Bail <[email-masked]>
> Cc: Thomas Narten <[email-masked]>; [email-masked]
> Sent: Tuesday, October 11, 2011 5:02 AM
> Subject: Re: Question about Subnet-Router anycast address
> 

> allow to select an anycast source address for a initiating

Perhaps it is not clear enough in RFC 3484 if the algorithm for source 
address selection is involved or not for replies to IPv6 packets of
unconnected protocols (UDP, ICMP echo request, etc.).

If agreed, draft-ietf-6man-rfc3484-revise should add a clear status on this question.

Thanks,
François-Xavier